System menu update on soft-modded Wii

Discussion in 'Wii - Hacking' started by mjolnir_markiv, Jan 6, 2011.

  1. mjolnir_markiv
    OP

    mjolnir_markiv Member

    Newcomer
    31
    0
    Feb 19, 2009
    Yugoslavia
    Hi,

    I've bought DKCR recently and the game is asking for a system menu udpate, though not a big issue (I still can play it through USB Loader), but just out of curiosity, is that possible to safely update system menu keeping all functionality of soft-modded Wii? Perhaps, Multi-Mod Manager might help?

    Thank you.


    SysCheck results:
     
  2. zizer

    zizer GBAtemp Addict

    Member
    2,035
    4
    Aug 23, 2010
  3. bazamuffin

    bazamuffin RESIDENT DILF

    Member
    2,036
    63
    Feb 1, 2009
    Shmashmortion Clinic
    Lol, you're on 4.3U anyways which is the most current. Is it an out of region disc? Can you just not install Preloader/Priiloader and enable the block disc updates hack? You could use MMM to update your IOS's if you wish
     
  4. mjolnir_markiv
    OP

    mjolnir_markiv Member

    Newcomer
    31
    0
    Feb 19, 2009
    Yugoslavia
    Why the heck it's asking for an update then? Does 4.4. update anything significant? No, the disc is NTSC-U as well. Never heard of this hack, will google it, thanks. I will, probably, it will resolve my issue.
     
  5. Taleweaver

    Taleweaver Storywriter

    Member
    5,401
    1,462
    Dec 23, 2009
    Belgium
    Belgium
    Probably because one or more IOS'es of your wii are outdated. The 4.3 update is pretty much a package of updates of IOS'es (and things like the system menu and the shopping channel). It's even likely it thinks your "IOS249" is outdated (after all, the official version isn't v20 but v65280...which is a stub).

    And I can confirm that priiloader's update blocking works. In fact, I finished donkey kong country returns without ever realising the game contains an update to begin with. [​IMG]
     
  6. bazamuffin

    bazamuffin RESIDENT DILF

    Member
    2,036
    63
    Feb 1, 2009
    Shmashmortion Clinic
    4.4 isn't out (yet). I agree with the above post regarding IOS249, 4.3 installs a stub at slot 249 and probably thinks that yours is waaaaaay out of date. I (and many many others) have preloader/priiloader installed and the block disc updates hack does work. Nip over to wiibrew.org and do some reading before installing